Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server
Class OWLlinkHTTPXMLServer

    java.lang.Object
      AbstractHttpHandler
          org.semanticweb.owlapi.owllink.server.OWLlinkHTTPXMLServer

    public class OWLlinkHTTPXMLServer

extends AbstractHttpHandler

Author:
  Olaf Noppens

Field Summary
`static int` | `DEFAULT_PORT`

Constructor Summary
`OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory)`
`OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory, int port)`
`OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory, OWLlinkReasonerConfiguration configuration, int port)`

Method Summary
`void` | `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static int DEFAULT_PORT

Constructor Detail

### OWLlinkHTTPXMLServer

    public OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory,
                                int port)

### OWLlinkHTTPXMLServer

    public OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory,
                                OWLlinkReasonerConfiguration configuration,
                                int port)

### OWLlinkHTTPXMLServer

    public OWLlinkHTTPXMLServer(OWLReasonerFactory reasonerFactory)

Method Detail

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD